package com.fs.core.exception;

/**
 * 自定义异常
 * 
 
 */
public class CompanyException extends RuntimeException
{
    private static final long serialVersionUID = 1L;

    private Integer code;

    private String message;

    public CompanyException(String message)
    {
        this.message = message;
    }

    public CompanyException(String message, Integer code)
    {
        this.message = message;
        this.code = code;
    }

    public CompanyException(String message, Throwable e)
    {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage()
    {
        return message;
    }

    public Integer getCode()
    {
        return code;
    }
}
